%define module rsa

Name:           python-%module
Version:        3.1.1
Release:        %mkrel 3
Summary:        Pure-Python RSA implementation
License:        ASLv2
Group:          Development/Python
URL:            http://stuvel.eu/rsa 
Source0:        https://pypi.python.org/packages/source/r/%{module}/%{module}-%{version}.tar.gz
BuildRequires:  python-devel
Buildrequires:	python-setuptools
BuildArch:      noarch

%description
Pure-Python RSA implementation

%files
%_bindir/pyrsa-*
%{python_sitelib}/%{module}*

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
%{__python} setup.py install --root $RPM_BUILD_ROOT --install-purelib=%{python_sitelib}



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.1.1-3.mga4
+ Revision: 544142
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.1.1-2.mga4
+ Revision: 499318
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 01 2013 neoclust <neoclust> 3.1.1-1.mga4
+ Revision: 462079
- imported package python-rsa

